# Class ToolbarAction

java.lang.Object
javax.swing.AbstractAction
jam.toolbar.ToolbarAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Direct Known Subclasses:
  `ToolbarActionWrapper`

public abstract class ToolbarAction extends AbstractAction

Author:
  rambaut Date: Oct 18, 2005 Time: 10:10:52 PM
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getDisabledIcon()`
`Icon`
`getIcon()`
`String`
`getLabel()`
`Icon`
`getPressedIcon()`
`String`
`getToolTipText()`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Action

`accept`

### Methods inherited from interface ActionListener

`actionPerformed`

## Method Details

### getLabel

public String getLabel()

### getIcon

public Icon getIcon()

### getDisabledIcon

public Icon getDisabledIcon()

### getPressedIcon

public Icon getPressedIcon()

### getToolTipText

public String getToolTipText()